/* linuXtree copyright (c) 2008 Dan Stahlke under the BSD license
	See file 'COPYING' for details */

/*#define DEBUG*/
#define EMAIL "dstahlke@gmail.com"

#include "config.h"

#define REGEX_SIZ (PATH_MAX+1) /* arbitrary size */

#ifndef MAX
#  define MAX(a,b) (((a)>(b))?(a):(b))
#endif
#ifndef MIN
#  define MIN(a,b) (((a)<(b))?(a):(b))
#endif

#define NCURSES_INTERNALS

#include <ctype.h>
#include <ncurses.h>
#ifdef HAVE_DIRENT_H
#  include <dirent.h>
#endif
#include <errno.h>
#ifdef HAVE_FCNTL_H
#  include <fcntl.h>
#endif
#include <fnmatch.h>
#include <grp.h>
#ifdef HAVE_MALLOC_H
#  include <malloc.h>
#endif
#ifdef HAVE_MNTENT_H
#  include <mntent.h>
#endif
#ifdef HAVE_NDIR_H
#  include <ndir.h>
#endif
#include <pwd.h>
#include <signal.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#ifdef HAVE_UNISTD_H
#  include <unistd.h>
#endif
#ifdef HAVE_SYS_DIR_H
#  include <sys/dir.h>
#endif
#include <sys/ioctl.h>
#ifdef HAVE_SYS_MNTENT_H
#  include <sys/mntent.h>
#endif
#ifdef HAVE_SYS_NDIR_H
#  include <sys/ndir.h>
#endif
#ifdef HAVE_SYS_PARAM_H
#  include <sys/param.h>
#endif
#ifdef HAVE_SYS_MOUNT_H
#  include <sys/mount.h>
#endif
#include <sys/stat.h>
#ifdef HAVE_SYS_STATVFS_H
#  include <sys/statvfs.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#  include <sys/types.h>
#endif
#ifdef HAVE_SYS_VFS_H
#  include <sys/vfs.h>
#endif
#ifdef HAVE_SYS_WAIT_H
#  include <sys/wait.h>
#endif
#ifdef HAVE_REGEX_H
#  include <regex.h>
#endif

#include "compatible.h"

#include "commands.h"
#include "readconfig.h"
#include "data.h"
#include "gui.h"
#include "main.h"
#include "readln.h"
#include "uid.h"
#include "view.h"
#include "help.h"
#include "edit.h"
